API reference, Onboarding authentication

Authentication with face/selfie image

POSThttps://demo-api.incodesmile.com/omni/onboarding-authentications/authenticate/third-party

Authenticate user by comparing base64 image from request and user's existing face template. In case of One to one authentication, user is first found in DB by hint from request. At least one of criteria parameter must be sent in request. In case of One to N authentication, hint is not used. In case face doesn't match error response is returned.

Headers

api-versionstringrequiredDefaults to 1.0

Request body

application/json

base64Imagestringrequired≥ 1 chars

Image of user's face represented in base64.

Face coordinates

hintstring

Customer hint. Possible hints are: customer id, email, phone number...

recordingIdstring

Id of recording used in spoof detection.

Responses

Response body (application/json)

overallStatusstring

Authentication status: FAIL/PASS.

enumPASSFAIL

Checked only if configured in the session flow. Shows remaining number of attempts, and maximum number of attempts allowed.

maxinteger (int32)

Maximum number of attempts to capture a photo.

remaininginteger (int32)

Number of remaining attempts to capture a photo.

candidatestring

Id of matched candidate.

Error name and description pair. Possible error names are: INACTIVE_SESSION, NONEXISTENT_CUSTOMER, LENSES_DETECTED, FACE_MASK_DETECTED, HEAD_COVER_DETECTED, CLOSED_EYES_DETECTED, FACE_TOO_DARK, SPOOF_ATTEMPT_DETECTED, USER_IS_NOT_RECOGNIZED, SELFIE_IMAGE_LOW_QUALITY, MULTIPLE_FACES_DETECTED, HINT_NOT_PROVIDED, FACE_NOT_FOUND, FACE_CROPPING_FAILED, FACE_TOO_SMALL, FACE_TOO_BLURRY, BAD_PHOTO_QUALITY, PROCESSING_ERROR, BAD_REQUEST

namestring
messagestring